%define	major	0
%define	libname	%mklibname dbus-1-qt3_ %{major}
%define libdev	%mklibname dbus-1-qt3 -d

Summary:	D-BUS message bus
Name:		libdbus-1-qt3
Version:	0.8
Release:	%mkrel 3
URL:		http://www.freedesktop.org/wiki/Software/DBusBindings
Source0:	http://people.freedesktop.org/~krake/dbus-1-qt3/%{name}-%{version}.tar.gz
Patch0:		BRANCH_UPDATE.diff
Patch1:		fix_ifdef.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	dbus-devel libqt-devel
License:	AFL/GPLv2
Group:		System/Servers

%description
D-BUS add-on library to integrate the standard D-BUS library with
the Qt thread abstraction and main loop.

%package -n	%{libname}
Summary:	Qt-based library for using D-BUS
Group:		System/Libraries

%description -n	%{libname}
D-BUS add-on library to integrate the standard D-BUS library with
the Qt thread abstraction and main loop.

%package -n	%{libdev}
Summary:	Qt-based library for using D-BUS
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libdev}
D-BUS add-on library to integrate the standard D-BUS library with the
Qt thread abstraction and main loop. This contains the Qt specific
headers and libraries.

%prep
%setup -q
%patch0 -p0 -b .suse
%patch1 -p0 -b .ifdef

%build
%configure2_5x
%make

pushd tools/dbusxml2qt3
qmake
%make CXXFLAGS="`pkg-config --cflags qt-mt` %{optflags} "
popd

%install
rm -rf %{buildroot}

%makeinstall_std
install -m755 tools/dbusxml2qt3/dbusxml2qt3 -D %{buildroot}%{_bindir}/dbusxml2qt3

#remove unpackaged file
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libdbus-1-qt3.so.*

%files -n %{libdev}
%defattr(-,root,root)
%{_bindir}/dbusxml2qt3
%{_libdir}/libdbus-1-qt3.so
%{_libdir}/libdbus-1-qt3.a
%dir %{_includedir}/dbus-1.0/qt3
%dir %{_includedir}/dbus-1.0/qt3/dbus
%{_includedir}/dbus-1.0/qt3/dbus/*.h
%{_libdir}/pkgconfig/dbus-1-qt3.pc



%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8-3mdv2009.0
+ Revision: 248580
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Feb 13 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.8-1mdv2008.1
+ Revision: 166995
- add missing buildrequires
- add buildroot since rpmline rejects packages without now..
- import libdbus-1-qt3


* Wed Feb 6 2008 Per Øyvind Karlsen <peroyvind@mandriva.org>
- initial release based on older dbus-qt3 package and Fedora package
